## kicad 5.1.6%2Bdfsg1

=== CMakeLists.txt ===
#
#  This program source code file is part of KICAD, a free EDA CAD application.
#
#  Copyright (C) 2007-2018 Kicad Developers, see AUTHORS.txt for contributors.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, you may find one here:
#  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#  or you may search the http://www.gnu.org website for the version 2 license,
#  or you may write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

cmake_minimum_required( VERSION 2.8.12 FATAL_ERROR )
# because of http://public.kitware.com/Bug/view.php?id=10395

# See https://gitlab.kitware.com/cmake/cmake/issues/15943
# Remove as soon as 3.1 is minimum required version
if(POLICY CMP0025)
  cmake_policy(SET CMP0025 NEW) # CMake 3.0
endif()

# Default to CMAKE_BUILD_TYPE = Release unless overridden on command line
# http://www.cmake.org/pipermail/cmake/2008-September/023808.html
if( DEFINED CMAKE_BUILD_TYPE )
    set( CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Set to either \"Release\" or \"Debug\"" )
else()
    set( CMAKE_BUILD_TYPE Release CACHE STRING "Set to either \"Release\" or \"Debug\"" )
endif()

project( kicad )

include( GNUInstallDirs )

# Path to local CMake modules.
set( CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeModules )

# On Windows, binaries created by link option -g3 are very large (more than 1Gb for pcbnew,
# and more than 3Gb for the full kicad suite)
# This option create binaries using link option -g1 that create much smaller files, but
# there are less info in debug (but the file names and line numbers are available)
option( BUILD_SMALL_DEBUG_FILES "In debug build: create smaller binaries." OFF )


#
# KiCad build options should be added below.
#
# If you add a new build option, please add it's state to the
# OnCopyVersionInfo() function in common/dialog_about/dialog_about.cpp
# so that build option settings can be included in bug reports.
#

option( USE_WX_GRAPHICS_CONTEXT
    "Use wxGraphicsContext for rendering (default OFF).  Warning, this is experimental" )

option( USE_WX_OVERLAY
    "Use wxOverlay: Always ON for MAC and GTK3 (default OFF)." )

option( KICAD_SCRIPTING
    "Build the Python scripting support inside KiCad binaries (default ON)."
    ON )

option( KICAD_SCRIPTING_MODULES
    "Build native portion of the pcbnew Python module: _pcbnew.{pyd,so} for OS command line use of Python."
    ON )

option( KICAD_SCRIPTING_PYTHON3
    "Build for Python 3 instead of 2 (default OFF)."
    OFF )

option( KICAD_SCRIPTING_WXPYTHON
    "Build wxPython implementation for wx interface building in Python and py.shell (default ON)."
    ON )

option( KICAD_SCRIPTING_WXPYTHON_PHOENIX
    "Use new wxPython binding (default OFF)."
    OFF )

option( KICAD_SCRIPTING_ACTION_MENU
    "Build a tools menu with registered python plugins: actions plugins (default ON)."
    ON )

option( KICAD_USE_OCE
    "Build tools and plugins related to OpenCascade Community Edition (default ON)"
    ON )

option( KICAD_USE_OCC
    "Build tools and plugins related to OpenCascade Technology (overrides KICAD_USE_OCE, default OFF)"
    OFF )

option( KICAD_INSTALL_DEMOS
    "Install KiCad demos and examples (default ON)"
    ON )

option( KICAD_BUILD_QA_TESTS
    "Build software Quality assurance unit tests (default ON)"
    ON )

option( BUILD_GITHUB_PLUGIN
    "Build the GITHUB_PLUGIN for pcbnew."
    ON )

option( KICAD_SPICE
    "Build KiCad with internal Spice simulator."
    ON )

# when option KICAD_SCRIPTING OR KICAD_SCRIPTING_MODULES is enabled:
# PYTHON_EXECUTABLE can be defined when invoking cmake
# ( use -DPYTHON_EXECUTABLE=<python path>/python.exe or python2 )
# when not defined by user, the default is python.exe under Windows and python2 for others
# python binary file should be in exec path.

# KICAD_SCRIPTING controls the entire python scripting system. If it is off, no other scripting
# functions are available.
if ( NOT KICAD_SCRIPTING )
    message( STATUS "KICAD_SCRIPTING is OFF: Disabling all python scripting support" )
    set( KICAD_SCRIPTING_MODULES OFF )
    set( KICAD_SCRIPTING_ACTION_MENU OFF )
    set( KICAD_SCRIPTING_PYTHON3 OFF )
    set( KICAD_SCRIPTING_WXPYTHON OFF )
    set( KICAD_SCRIPTING_WXPYTHON_PHOENIX OFF)
endif()

# KICAD_SCRIPTING_WXPYTHON_PHOENIX requires enabling the KICAD_SCRIPTING_WXPYTHON flag
# so that the wxWidgets library is properly versioned
if ( KICAD_SCRIPTING AND NOT KICAD_SCRIPTING_WXPYTHON AND KICAD_SCRIPTING_WXPYTHON_PHOENIX )
    message( STATUS
        "KICAD_SCRIPTING_WXPYTHON_PHOENIX has been requested, setting KICAD_SCRIPTING_WXPYTHON to ON")
    set( KICAD_SCRIPTING_WXPYTHON ON)
endif()

# Global setting: exports are explicit
set( CMAKE_CXX_VISIBILITY_PRESET "hidden" )
set( CMAKE_VISIBILITY_INLINES_HIDDEN ON )


# Global setting: build everything position independent
set( CMAKE_POSITION_INDEPENDENT_CODE ON )


# Global setting: Use C++11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


# CMP0063: CMake < 3.3 does not handle hidden visibility for static libraries,
# and 3.3 is backwards compatible when the minimum version is smaller than 3.3.
if( POLICY CMP0063 )
    cmake_policy( GET CMP0063 VISIBILITY_POLICY )
    if( VISIBILITY_POLICY STREQUAL NEW )
        message( WARNING "Compatibility code for CMake < 3.3 can be removed, search for CMP0063" )
    else()
        cmake_policy( SET CMP0063 NEW )
    endif()
else()
    if( CMAKE_CXX_COMPILE_OPTIONS_VISIBILITY AND NOT APPLE )
        set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_COMPILE_OPTIONS_VISIBILITY}hidden" )
    endif()
    if( CMAKE_CXX_COMPILE_OPTIONS_VISIBILITY_INLINES_HIDDEN AND NOT APPLE )
        set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_COMPILE_OPTIONS_VISIBILITY_INLINES_HIDDEN}" )
    endif()
endif()


# Add option to add user directories for linker, if any
LINK_DIRECTORIES( ${LINK_DIRECTORIES_PATH} )

if( UNIX )
    set( KICAD_USER_CONFIG_DIR $ENV{HOME} CACHE PATH "Location of user specific KiCad config files" )
elseif( MINGW )
    set( KICAD_USER_CONFIG_DIR $ENV{APPDATA} CACHE PATH "Location of user specific KiCad config files" )
endif()
mark_as_advanced( KICAD_USER_CONFIG_DIR )

# Set default data file path to CMAKE_INSTALL_PREFIX if it wasn't specified during the
# CMake configuration.  The value of DEFAULT_INSTALL_PATH is expanded in config.h and
# used in the source code to define the base path for kicad search paths and environment
# variables.
if( NOT DEFAULT_INSTALL_PATH )
    set( DEFAULT_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}"
         CACHE
         PATH
         "Location of KiCad data files." )
endif()

message( STATUS "KiCad install dir: <${DEFAULT_INSTALL_PATH}>" )

# Generate build system specific header file.
include( PerformFeatureChecks )
perform_feature_checks()


# Workaround: CMake < 3.1 does not support CMAKE_CXX_STANDARD
if( NOT CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 3.1 )
    message( FATAL_ERROR "Remove compatibility code" )
endif()

if( CMAKE_VERSION VERSION_LESS 3.1 AND ( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" ) )
    include(CheckCXXCompilerFlag)

    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)

    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else()
        message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()


# Warn about missing override specifiers, if supported
if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
    include(CheckCXXCompilerFlag)

    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)

    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
    endif()

    CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)

    if(COMPILER_SUPPORTS_WVLA)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=vla")
    endif()

endif()


# Warn about shadowed variables (-Wshadow option), if supported
# Unfortunately, the swig autogenerated files have a lot of shadowed variables
# and -Wno-shadow does not exist.
# Adding -Wshadow can be made only for .cpp files
# and will be added later in CMakeLists.txt
if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
    include(CheckCXXCompilerFlag)

    CHECK_CXX_COMPILER_FLAG("-Wshadow" COMPILER_SUPPORTS_WSHADOW)

    if( COMPILER_SUPPORTS_WSHADOW )
        set(WSHADOW_FLAGS "-Wshadow")
    endif()
endif()

if( WIN32 )
    # define UNICODE and_UNICODE definition on Windows. KiCad uses unicode.
    # Both definitions are required
    add_definitions(-DUNICODE -D_UNICODE)
endif()


#================================================
# Provide access to CCACHE
#================================================
if (USE_CCACHE)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    get_property(RULE_LAUNCH_COMPILE GLOBAL PROPERTY RULE_LAUNCH_COMPILE)
    set(RULE_LAUNCH_COMPILE "${RULE_LAUNCH_COMPILE} ${CCACHE_FOUND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${RULE_LAUNCH_COMPILE})

    get_property(RULE_LAUNCH_LINK GLOBAL PROPERTY RULE_LAUNCH_LINK)
    set(RULE_LAUNCH_LINK "${RULE_LAUNCH_LINK} ${CCACHE_FOUND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ${RULE_LAUNCH_LINK})

    message(STATUS "Used ${CCACHE_FOUND} for compilation.")
  else(CCACHE_FOUND)
    message(STATUS "CCache was requested but not found.")
  endif(CCACHE_FOUND)
endif(USE_CCACHE)


#================================================
# Provide access to DISTCC
#================================================
if (USE_DISTCC)
  find_program(DISTCC_FOUND distcc)
  if(DISTCC_FOUND)
    get_property(RULE_LAUNCH_COMPILE GLOBAL PROPERTY RULE_LAUNCH_COMPILE)
    set(RULE_LAUNCH_COMPILE "${RULE_LAUNCH_COMPILE} ${DISTCC_FOUND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${RULE_LAUNCH_COMPILE})
    message(STATUS "Using ${DISTCC_FOUND} for distributed build.")
  else(DISTCC_FOUND)
    message(INFO "Distcc was requested but not found.")
  endif(DISTCC_FOUND)
endif(USE_DISTCC)


#================================================
# Set flags for GCC, or treat llvm as GCC
#================================================

if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )

    # Set 32-bit flag for GCC to prevent excess precision
    if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
        set( CMAKE_CXX_FLAGS "-ffloat-store ${CMAKE_CXX_FLAGS}" )
    endif()

    # Establish -Wall early, so specialized relaxations of this may come
    # subsequently on the command line, such as in pcbnew/github/CMakeLists.txt
    set( CMAKE_C_FLAGS   "-Wall ${CMAKE_C_FLAGS}" )
    set( CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}" )

    # Link flags in Debug: -g1 and -ggdb1 or -g1 and -ggdb3 can be used.
    # Level 1 produces minimal information, enough for making basic backtraces.
    # This includes descriptions of functions and external variables, and line number tables,
    # but no information about local variables.
    # Level 3 includes full information, but binaries are much larger.
    if( BUILD_SMALL_DEBUG_FILES )
        set( CMAKE_C_FLAGS_DEBUG   "-g1 -ggdb1 -DDEBUG" )
        set( CMAKE_CXX_FLAGS_DEBUG "-g1 -ggdb1 -DDEBUG -Wno-deprecated-declarations" )
    else()
        set( CMAKE_C_FLAGS_DEBUG   "-g3 -ggdb3 -DDEBUG" )

=== common/CMakeLists.txt ===
# .cpp files are compiled with extra ${WSHADOW_FLAGS}
if( COMPILER_SUPPORTS_WSHADOW )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WSHADOW_FLAGS}")
endif()

add_subdirectory( libeval )

include_directories( BEFORE ${INC_BEFORE} )
include_directories(
    ./dialogs
    ./widgets
    ./dialog_about
    ${CAIRO_INCLUDE_DIR}
    ${PIXMAN_INCLUDE_DIR}
    ${GLEW_INCLUDE_DIR}
    ${GLM_INCLUDE_DIR}
    ${CURL_INCLUDE_DIRS}
    ../3d-viewer
    ../pcbnew
    ${INC_AFTER}
    ${OCE_INCLUDE_DIRS}
    ${OCC_INCLUDE_DIR}
    ${OPENSSL_INCLUDE_DIR}
    )


if( NOT APPLE )     # windows and linux use openssl under curl
    find_package( OpenSSL REQUIRED )
endif()

set( GAL_SRCS
    # Common part
    basic_gal.cpp
    draw_panel_gal.cpp
    gl_context_mgr.cpp
    newstroke_font.cpp
    origin_viewitem.cpp
    painter.cpp
    text_utils.cpp
    worksheet_viewitem.cpp
    gal/color4d.cpp
    gal/gal_display_options.cpp
    gal/graphics_abstraction_layer.cpp
    gal/hidpi_gl_canvas.cpp
    gal/stroke_font.cpp
    geometry/hetriang.cpp
    view/view_controls.cpp
    view/view_overlay.cpp
    view/wx_view_controls.cpp
    view/zoom_controller.cpp

    # OpenGL GAL
    gal/opengl/opengl_gal.cpp
    gal/opengl/gl_resources.cpp
    gal/opengl/gl_builtin_shaders.cpp
    gal/opengl/shader.cpp
    gal/opengl/vertex_item.cpp
    gal/opengl/vertex_container.cpp
    gal/opengl/cached_container.cpp
    gal/opengl/cached_container_gpu.cpp
    gal/opengl/cached_container_ram.cpp
    gal/opengl/noncached_container.cpp
    gal/opengl/vertex_manager.cpp
    gal/opengl/gpu_manager.cpp
    gal/opengl/antialiasing.cpp
    gal/opengl/opengl_compositor.cpp
    gal/opengl/utils.cpp

    # Cairo GAL
    gal/cairo/cairo_gal.cpp
    gal/cairo/cairo_compositor.cpp
    gal/cairo/cairo_print.cpp
    )

set( LEGACY_GAL_SRCS
    legacy_gal/block.cpp
    legacy_gal/eda_draw_frame.cpp
    legacy_gal/other.cpp
    )

set( LEGACY_WX_SRCS
    legacy_wx/block.cpp
    legacy_wx/eda_draw_frame.cpp
    legacy_wx/eda_draw_panel.cpp
    legacy_wx/other.cpp
    )

add_library( gal STATIC ${GAL_SRCS} )
add_library( legacy_gal STATIC ${LEGACY_GAL_SRCS} )
add_library( legacy_wx STATIC ${LEGACY_WX_SRCS} )

target_include_directories( legacy_wx PUBLIC ../include/legacy_wx )
target_include_directories( legacy_gal PUBLIC ../include/legacy_gal )

target_link_libraries( legacy_wx PRIVATE bitmaps polygon )
target_link_libraries( legacy_gal PRIVATE bitmaps polygon )

target_link_libraries( gal
    polygon
    bitmaps
    ${GLEW_LIBRARIES}
    ${CAIRO_LIBRARIES}
    ${PIXMAN_LIBRARIES}
    ${OPENGL_LIBRARIES}
    ${GDI_PLUS_LIBRARIES}
)


# Only for win32 cross compilation using MXE
if( WIN32 AND MSYS )
    add_definitions( -DGLEW_STATIC )
endif()


# A shared library subsetted from common which restricts what can go into
# a single_top link image.  By not linking to common, we control what does
# statically go into single_top link images.  My current thinking is that only
# wxWidgets should be a shared link from single top, everything else should be
# statically bound into it. Otherwise you will have DSO loading problems. After it
# sets the LIB PATHS however, we want the *.kiface modules to use shared linking.
add_library( singletop STATIC EXCLUDE_FROM_ALL
    confirm.cpp
    eda_doc.cpp
    kiway.cpp
    kiway_holder.cpp
    )


# A shared library used by multiple *.kiface files and one or two program
# launchers.  Object files can migrate into here over time, but only if they are
# surely needed and certainly used from more than one place without recompilation.
# Functions and data all need to use the #include <import_export.h> and be declared
# as APIEXPORT
set( LIB_KICAD_SRCS
    colors.cpp
    dlist.cpp
    string.cpp
    )

if( future )
add_library( lib_kicad SHARED
    )
target_link_libraries( lib_kicad
    ${wxWidgets_LIBRARIES}
    )
set_target_properties( lib_kicad PROPERTIES
    OUTPUT_NAME     ki
    )
install( TARGETS lib_kicad
    DESTINATION ${KICAD_BIN}
    COMPONENT binary
    )
endif()


# The build version string defaults to the value in the KiCadVersion.cmake file.
# If being built inside a git repository, the git tag and commit hash are used to create
# a new version string instead. The user can supply an additional string to be appended
# to the end inside the KICAD_VERSION_EXTRA variable
set( KICAD_VERSION_EXTRA "" CACHE STRING
    "User defined configuration string to append to KiCad version." )

# Generate version header file.
add_custom_target(
    version_header ALL
    COMMAND ${CMAKE_COMMAND}
        -DKICAD_VERSION_EXTRA=${KICAD_VERSION_EXTRA}
        -DOUTPUT_FILE=${CMAKE_BINARY_DIR}/kicad_build_version.h
        -DSRC_PATH=${PROJECT_SOURCE_DIR}
        -DCMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}
        -P ${CMAKE_MODULE_PATH}/WriteVersionHeader.cmake
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating version string header"
    )

set( COMMON_ABOUT_DLG_SRCS
    dialog_about/AboutDialog_main.cpp
    dialog_about/dialog_about.cpp
    dialog_about/dialog_about_base.cpp
    )

set( COMMON_DLG_SRCS
    dialogs/dialog_color_picker.cpp
    dialogs/dialog_color_picker_base.cpp
    dialogs/dialog_configure_paths.cpp
    dialogs/dialog_configure_paths_base.cpp
    dialogs/dialog_display_info_HTML_base.cpp
    dialogs/dialog_edit_library_tables.cpp
    dialogs/dialog_file_dir_picker.cpp
    dialogs/dialog_global_lib_table_config.cpp
    dialogs/dialog_global_lib_table_config_base.cpp
    dialogs/dialog_hotkey_list.cpp
    dialogs/dialog_image_editor.cpp
    dialogs/dialog_image_editor_base.cpp
    dialogs/dialog_list_selector_base.cpp
    dialogs/dialog_page_settings_base.cpp
    dialogs/dialog_text_entry_base.cpp
    dialogs/dialog_print_generic.cpp
    dialogs/dialog_print_generic_base.cpp
    dialogs/dialog_text_entry.cpp
    dialogs/panel_common_settings.cpp
    dialogs/panel_common_settings_base.cpp
    dialogs/panel_hotkeys_editor.cpp
    dialogs/wx_html_report_panel.cpp
    dialogs/wx_html_report_panel_base.cpp
    )

set( COMMON_WIDGET_SRCS
    widgets/button_row_panel.cpp
    widgets/color_swatch.cpp
    widgets/footprint_choice.cpp
    widgets/footprint_preview_widget.cpp
    widgets/footprint_select_widget.cpp
    widgets/gal_options_panel.cpp
    widgets/grid_combobox.cpp
    widgets/grid_icon_text_helpers.cpp
    widgets/grid_text_button_helpers.cpp
    widgets/indicator_icon.cpp
    widgets/layer_box_selector.cpp
    widgets/lib_tree.cpp
    widgets/mathplot.cpp
    widgets/paged_dialog.cpp
    widgets/progress_reporter.cpp
    widgets/stepped_slider.cpp
    widgets/tab_traversal.cpp
    widgets/text_ctrl_eval.cpp
    widgets/two_column_tree_list.cpp
    widgets/ui_common.cpp
    widgets/unit_binder.cpp
    widgets/widget_save_restore.cpp
    widgets/widget_hotkey_list.cpp
    widgets/wx_grid.cpp
    )

set( COMMON_PAGE_LAYOUT_SRCS
    page_layout/title_block_shapes.cpp
    page_layout/worksheet_dataitem.cpp
    page_layout/worksheet_layout.cpp
    page_layout/page_layout_default_description.cpp
    page_layout/page_layout_graphic_items.cpp
    page_layout/page_layout_reader_keywords.cpp
    page_layout/page_layout_reader.cpp
    )

set( COMMON_PREVIEW_ITEMS_SRCS
    preview_items/arc_assistant.cpp
    preview_items/arc_geom_manager.cpp
    preview_items/bright_box.cpp
    preview_items/centreline_rect_item.cpp
    preview_items/polygon_geom_manager.cpp
    preview_items/polygon_item.cpp
    preview_items/preview_utils.cpp
    preview_items/ruler_item.cpp
    preview_items/selection_area.cpp
    preview_items/simple_overlay_item.cpp
    )

set( PLOTTERS_CONTROL_SRCS
    plotters/plotter.cpp
    plotters/DXF_plotter.cpp
    plotters/GERBER_plotter.cpp
    plotters/HPGL_plotter.cpp
    plotters/PDF_plotter.cpp
    plotters/PS_plotter.cpp
    plotters/SVG_plotter.cpp
    plotters/common_plot_functions.cpp
    )

set( COMMON_SRCS
    ${LIB_KICAD_SRCS}
    ${COMMON_ABOUT_DLG_SRCS}
    ${COMMON_DLG_SRCS}
    ${COMMON_WIDGET_SRCS}
    ${COMMON_PAGE_LAYOUT_SRCS}
    ${COMMON_PREVIEW_ITEMS_SRCS}
    ${PLOTTERS_CONTROL_SRCS}
    advanced_config.cpp
    array_options.cpp
    base64.cpp
    base_struct.cpp
    bezier_curves.cpp
    bin_mod.cpp
    bitmap.cpp
    bitmap_base.cpp
    board_printout.cpp
    build_version.cpp
    colors_design_settings.cpp
    colors.cpp
    commit.cpp
    common.cpp
    config_params.cpp
    confirm.cpp
    convert_basic_shapes_to_polygon.cpp
    cursor_store.cpp
    dialog_shim.cpp
    displlst.cpp
    dpi_scaling.cpp
    draw_graphic_text.cpp
    dsnlexer.cpp
    eagle_parser.cpp
    eda_base_frame.cpp
    eda_dde.cpp
    eda_doc.cpp
    eda_dockart.cpp
    eda_pattern_match.cpp
    eda_size_ctrl.cpp
    env_paths.cpp
    env_vars.cpp
    exceptions.cpp
    executable_names.cpp
    filename_resolver.cpp
    filter_reader.cpp
    footprint_filter.cpp
    footprint_info.cpp
    gbr_metadata.cpp
    gestfich.cpp
    getrunningmicrosecs.cpp
    gr_basic.cpp
    grid_tricks.cpp
    hash_eda.cpp
    hotkey_store.cpp
    hotkeys_basic.cpp
    html_messagebox.cpp
    kiface_i.cpp
    kiway.cpp
    kiway_express.cpp
    kiway_holder.cpp
    kiway_player.cpp
    lib_id.cpp
    lib_table_base.cpp
    lib_table_keywords.cpp
    lib_tree_model.cpp
    lib_tree_model_adapter.cpp
    lockfile.cpp
    marker_base.cpp
    md5_hash.cpp
    msgpanel.cpp
    netlist_keywords.cpp
    observable.cpp
    prependpath.cpp
    printout.cpp
    project.cpp
    properties.cpp
    ptree.cpp
    refdes_utils.cpp
    reporter.cpp
    richio.cpp
    search_stack.cpp
    searchhelpfilefullpath.cpp
    selcolor.cpp
    settings.cpp
    status_popup.cpp
    systemdirsappend.cpp
    trace_helpers.cpp
    undo_redo_container.cpp
    utf8.cpp
    validators.cpp
    wildcards_and_files_ext.cpp
    worksheet.cpp
    wxdataviewctrl_helpers.cpp
    xnode.cpp
    )

if( TRUE OR NOT USE_KIWAY_DLLS )
#if( NOT USE_KIWAY_DLLS )
    # We DO NOT want pgm_base.cpp linked into the KIFACE, only into the KIWAY.
    # Check the map files to verify eda_pgm.o not being linked in.
    list( APPEND COMMON_SRCS pgm_base.cpp )
endif()

if( NOT HAVE_STRTOKR )
    list( APPEND COMMON_SRCS strtok_r.c )
endif()

if( BUILD_GITHUB_PLUGIN )
    list( APPEND COMMON_SRCS
        kicad_curl/kicad_curl.cpp
        kicad_curl/kicad_curl_easy.cpp
    )
endif()

# Link-time optimization (LTO) on GCC conflicts with embedded assembly (__asm),
# following GCC's recommendation to disable LTO per translation unit.
if( "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set_source_files_properties( system/libcontext.cpp PROPERTIES
        COMPILE_FLAGS "-fno-lto"
        )
endif()

set( COMMON_SRCS
    ${COMMON_SRCS}
    system/libcontext.cpp

    view/view.cpp
    view/view_item.cpp
    view/view_group.cpp

    math/math_util.cpp

    tool/action_manager.cpp
    tool/actions.cpp
    tool/common_tools.cpp
    tool/conditional_menu.cpp
    tool/context_menu.cpp
    tool/grid_menu.cpp
    tool/selection_conditions.cpp
    tool/tool_action.cpp
    tool/tool_base.cpp
    tool/tool_dispatcher.cpp
    tool/tool_event.cpp
    tool/tool_interactive.cpp
    tool/tool_manager.cpp
    tool/tool_menu.cpp
    tool/zoom_menu.cpp
    tool/zoom_tool.cpp

    geometry/convex_hull.cpp
    geometry/geometry_utils.cpp
    geometry/seg.cpp
    geometry/shape.cpp
    geometry/shape_collisions.cpp
    geometry/shape_arc.cpp
    geometry/shape_file_io.cpp
    geometry/shape_line_chain.cpp
    geometry/shape_poly_set.cpp
    geometry/trigo.cpp

    libeval/numeric_evaluator.cpp
    )
add_library( common STATIC ${COMMON_SRCS} )
add_dependencies( common version_header )
target_link_libraries( common
    bitmaps
    polygon
    gal
    ${Boost_LIBRARIES}
    ${CURL_LIBRARIES}
    ${OPENSSL_LIBRARIES}        # empty on Apple
    ${wxWidgets_LIBRARIES}
    )


set( PCB_COMMON_SRCS
    base_screen.cpp
    eda_text.cpp
    fp_lib_table.cpp
    lset.cpp
    page_info.cpp
    pcb_keywords.cpp
    pcb_plot_params_keywords.cpp

=== kicad/CMakeLists.txt ===
# .cpp files are compiled with extra ${WSHADOW_FLAGS}
if( COMPILER_SUPPORTS_WSHADOW )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WSHADOW_FLAGS}")
endif()

add_definitions( -DKICAD )

include_directories( BEFORE ${INC_BEFORE} )
include_directories(
    ../pcbnew
    ../eeschema
    ${INC_AFTER}
    )


set( KICAD_SRCS
    commandframe.cpp
    dialogs/dialog_template_selector_base.cpp
    dialogs/dialog_template_selector.cpp
    files-io.cpp
    import_project.cpp
    kicad.cpp
    mainframe.cpp
    menubar.cpp
    prjconfig.cpp
    project_template.cpp
    tree_project_frame.cpp
    treeprojectfiles.cpp
    treeproject_item.cpp
    )

if( MINGW )
    # KICAD_RESOURCES variable is set by the macro.
    mingw_resource_compiler( kicad )
else()
    set( KICAD_RESOURCES kicad.rc )
endif()

if( APPLE )
    set( KICAD_RESOURCES kicad.icns kicad_doc.icns )
    set_source_files_properties( "${CMAKE_CURRENT_SOURCE_DIR}/kicad.icns" PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
    set_source_files_properties( "${CMAKE_CURRENT_SOURCE_DIR}/kicad_doc.icns"  PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
    set( MACOSX_BUNDLE_ICON_FILE kicad.icns )
    set( MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad-pcb.kicad )
    set( MACOSX_BUNDLE_NAME kicad )
endif()

add_executable( kicad WIN32 MACOSX_BUNDLE
    ${KICAD_SRCS}
    ${KICAD_EXTRA_SRCS}
    ${KICAD_RESOURCES}
    )

if( UNIX )
    # for build directory: create kiface symlinks so kicad (exe) can be run in-situ
    add_custom_target( kiface_sym_links
        COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_BINARY_DIR}/eeschema/_eeschema.kiface" "${CMAKE_BINARY_DIR}/kicad/_eeschema.kiface"
        COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_BINARY_DIR}/pcbnew/_pcbnew.kiface" "${CMAKE_BINARY_DIR}/kicad/_pcbnew.kiface"
        COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_BINARY_DIR}/cvpcb/_cvpcb.kiface" "${CMAKE_BINARY_DIR}/kicad/_cvpcb.kiface"
        COMMENT "Making <build-dir>/kicad/<kiface.symlinks>"
        )
endif()

if( APPLE )
    set_target_properties( kicad PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST ${PROJECT_BINARY_DIR}/kicad/Info.plist
        )
    target_link_libraries( kicad
        common
        ${wxWidgets_LIBRARIES}
        )
else()
    target_link_libraries( kicad
        common
        gal
        ${wxWidgets_LIBRARIES}
        ${GDI_PLUS_LIBRARIES}
        )
endif()

install( TARGETS kicad
    DESTINATION ${KICAD_BIN}
    COMPONENT binary
    )
if( APPLE )
    # "install( CODE ... )" will launch its own CMake, so no variables from
    # this CMake instance are accessible... use helper to transfer
    if( KICAD_SCRIPTING OR KICAD_SCRIPTING_MODULES )
        set( SCRIPTING_HELPER "1" )
    else()
        set( SCRIPTING_HELPER "0" )
    endif()

    if( KICAD_USE_OCC )
        set( KICAD_BUNDLE_LIBS ${OCC_LIBRARY_DIR} )
    endif()

    # make main bundle relocatable
    install( CODE "
        # find all libs and modules
        file( GLOB PLUGINS_KIFACE ${OSX_BUNDLE_INSTALL_KIFACE_DIR}/*.kiface )
        file( GLOB_RECURSE PLUGINS_SO ${OSX_BUNDLE_INSTALL_PLUGIN_DIR}/*.so )
        file( GLOB_RECURSE PLUGINS_3D ${OSX_BUNDLE_INSTALL_PLUGIN_DIR}/3d/*.dylib )
        set( BUNDLE_FIX_LIBS \${PLUGINS_KIFACE} \${PLUGINS_SO} \${PLUGINS_3D} )
        if( ${SCRIPTING_HELPER} )
            file( GLOB WXPYTHON_DIR RELATIVE ${OSX_BUNDLE_INSTALL_LIB_DIR}/${PYTHON_LIB_DIR} ${OSX_BUNDLE_INSTALL_LIB_DIR}/${PYTHON_LIB_DIR}/wx-?.?-osx_cocoa )
            file( GLOB PYTHON_SCRIPTING_SO ${OSX_BUNDLE_INSTALL_LIB_DIR}/${PYTHON_LIB_DIR}/*.so )
            set( BUNDLE_FIX_LIBS \${BUNDLE_FIX_LIBS} \${PYTHON_SCRIPTING_SO} )
            file( GLOB PYTHON_SCRIPTING_SO ${OSX_BUNDLE_INSTALL_LIB_DIR}/${PYTHON_LIB_DIR}/\${WXPYTHON_DIR}/wx/*.so )
            set( BUNDLE_FIX_LIBS \${BUNDLE_FIX_LIBS} \${PYTHON_SCRIPTING_SO} )
        endif()

        # override default embedded path settings
        ${OSX_BUNDLE_OVERRIDE_PATHS}

        # do all the work
        include( BundleUtilities )

        fixup_bundle( ${OSX_BUNDLE_INSTALL_BIN_DIR}/kicad
            \"\${BUNDLE_FIX_LIBS}\"
            \" ${KICAD_BUNDLE_LIBS}\"
            )
        " COMPONENT Runtime
        )

    # move all individual app bundles into main bundle
    install( CODE "
        # helper function to move a bundle into main bundle
        function( move_to_main_bundle bundle_name )
            message( STATUS \"Moving \${bundle_name} into main bundle...\" )
            file( MAKE_DIRECTORY ${OSX_BUNDLE_INSTALL_DIR}/${OSX_BUNDLE_APP_DIR} )
            file( REMOVE_RECURSE ${KICAD_BIN}/\${bundle_name}/${OSX_BUNDLE_LIB_DIR} )
            file( RENAME ${KICAD_BIN}/\${bundle_name} ${OSX_BUNDLE_INSTALL_DIR}/${OSX_BUNDLE_APP_DIR}/\${bundle_name} )
            execute_process( COMMAND ${CMAKE_COMMAND} -E create_symlink \"../../../Frameworks\" \"Frameworks\"
                WORKING_DIRECTORY ${OSX_BUNDLE_INSTALL_DIR}/${OSX_BUNDLE_APP_DIR}/\${bundle_name}/Contents
            )
            # create a top-level link pointing inside main bundle
            execute_process( COMMAND ${CMAKE_COMMAND} -E create_symlink \"${OSX_BUNDLE_MAIN}/${OSX_BUNDLE_APP_DIR}/\${bundle_name}\" \"\${bundle_name}\"
                WORKING_DIRECTORY ${KICAD_BIN}
            )
        endfunction( move_to_main_bundle )

        # move all app bundles
        move_to_main_bundle( bitmap2component.app )
        move_to_main_bundle( eeschema.app )
        move_to_main_bundle( gerbview.app )
        move_to_main_bundle( pcb_calculator.app )
        move_to_main_bundle( pcbnew.app )
        move_to_main_bundle( pl_editor.app )
        " COMPONENT Runtime
        )
endif()

=== debian/changelog ===
kicad (5.1.6+dfsg1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
    [7c81102] d/control: Don't use dh 11 or greater

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 May 2020 10:32:06 +0200

kicad (5.1.6+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [4dc62d7] Revert "d/control: Remove transitional package kicad-common"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 May 2020 09:21:35 +0200

kicad (5.1.6+dfsg1-1) unstable; urgency=medium

  * [9b510bb] d/control: Remove transitional package kicad-common
    + kicad-common is replaced by kicad-libraries, the transition of these
      two packages was done within the Debian buster release. We can drop now
      the old -common package for real.
  * [fdd52e9] d/copyright: update upstream source for KiCad app
    + Some source code resources of the KiCad project have been changed since
      the project has moved to GitLab, update the information within the
      copyright file.
  * [a77b08e] d/copyright: update years on contributors
    + The annual update for various parts of the source code and contributors.
  * [b98cb97] dh: move to dh-compat 13
    + Increasing the debhelper version to 13 as this is the most recent
      version.
  * [a300c96] New upstream version 5.1.6+dfsg1
  * [2aed90b] d/control: adding Rules-Requires-Root to source section
  * [d2e5861] d/rules: More split off into arch/indep targets
    + Moving to dh 13 requires more separation of the -arch and -indep targets.
      dh_missing is now also more picky about files that are installed by the
      upstream build system but not into one of the binary packages.
      Due the ongoing Python2 removal in bulleseye we currently don't want to
      install the files
       usr/share/doc/kicad/scripts/lib_convert.py
       usr/share/doc/kicad/scripts/test_plugin.py
       usr/share/doc/kicad/scripts/test_kicad_plugin.py
       usr/share/doc/kicad/scripts/ddr3_length_match.py
      as these are not Python3 ready.
  * [49139de] d/watch: Adjust used resource onto GitLab

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 May 2020 20:41:22 +0200

kicad (5.1.6~rc1+dfsg1-1) unstable; urgency=medium

  * [1e1aecc] New upstream version 5.1.6~rc1+dfsg1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Apr 2020 22:14:53 +0200

kicad (5.1.6~20200411+dfsg1-1) experimental; urgency=medium

  * [7f9e64d] New upstream version 5.1.6~20200411+dfsg1
    + Snapshot from 11th April 2020 from the KiCad 5.1 branch from
      commit ID 305ed0b.
  * [b80db87] rebuild patch queue from patch-queue branch
    + removed patch
      debian-hacks/Removing-hyphen-inside-KICAD_FULL_VERSION.patch
  * [7eae5b3] d/control: increase Standards-Version to 4.5.0
    + No further changes needed.
  * [5e454a1] d/control: update upstream URL to use https
    + The project homepage is now also available by https.
  * [f3a592d] d/rules: substitute KICAD_VERSION with DEB_VERSION
    + Upstream is using a mechanism that allows one to append some extra
      string onto the given string KICAD_VERSION. But this is not allowing any
      modification of KICAD_VERSION itself. This makes it impossible to place
      a given full Debian version into the application in case we don't build
      on top of a tagged upstream version. Like here for this snapshot release.
      Stop using EXTRA_VERSION and replace KICAD_VERSION right before the
      build.
  * [51c07e3] d/copyright: small update due renamed file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Apr 2020 12:09:16 +0200

kicad (5.1.5+dfsg1-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Dec 2019 11:42:00 +0100

kicad (5.1.5+dfsg1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [68ede7d] d/rules: add override_dh_dwz due not found references

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Dec 2019 16:13:49 +0100

kicad (5.1.4+dfsg1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
    This kicad package backported to stretch has a significant difference
    compared to the same version in buster-backports and testing!
    Python 3 scripting support isn't possible, so the Python scripting
    support is limited to Python 2 only.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Aug 2019 20:52:06 +0200

kicad (5.1.4+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [c5fa88d] d/gbp.conf: adjust to debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Aug 2019 16:39:58 +0200

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Georges Khaznadar <georgesk@debian.org>,
Build-Depends:
 asciidoc-base,
 asciidoc-dblatex,
 clang,
 cmake,
 chrpath,
 dblatex,
 debhelper (< 11),
 dh-python,
 docbook-utils,
 docbook-xsl,
 doxygen,
 dpkg-dev (>= 1.16.1.1~),
 fonts-freefont-ttf,
 fonts-vlgothic,
 gettext,
 git,
 imagemagick,
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-locale-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcairo2-dev,
 libcurl4-openssl-dev,
 libglew-dev,
 libglm-dev,
 liblocale-gettext-perl,
 libngspice0-dev,
 liboce-foundation-dev,
 liboce-ocaf-dev,
 libpython-stdlib,
 libssl-dev,
 libterm-readkey-perl,
 libtext-wrapi18n-perl,
 libunicode-linebreak-perl,
 libwxgtk3.0-dev,
 libxml2-utils,
 lmodern,
 pkg-config,
 po4a,
 python-all,
 python-dev,
 python-wxgtk3.0-dev,
 source-highlight,
 swig,
 texlive-fonts-extra,
 texlive-lang-chinese,
 texlive-lang-cyrillic,
 texlive-lang-english,
 texlive-lang-european,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-lang-other,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-xetex,
 xmlto,
Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad
Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad.git
Standards-Version: 4.2.1
Homepage: https://www.kicad-pcb.org

Package: kicad
Architecture: any-amd64 any-i386 arm64 armhf ppc64el
Depends:
 libngspice0,
 python-wxgtk3.0 (<= 3.0.2.0+dfsg-4),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 extra-xdg-menus,
 kicad-doc-ca | kicad-doc-de | kicad-doc-en | kicad-doc-es | kicad-doc-fr | kicad-doc-id | kicad-doc-it | kicad-doc-ja | kicad-doc-pl | kicad-doc-ru | kicad-doc-zh,
 kicad-packages3d,
Recommends:
 kicad-libraries,
 kicad-demos,
 xsltproc,
Breaks:
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Replaces:
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-common
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Priority: extra
Depends:
 kicad-libraries,
 ${misc:Depends},
Description: Old common files used by kicad - Transitional Package
 All the typical used an needed libraries like the schematic symbols, footprints
 and templates are now provided by the metapackage 'kicad-libraries' which will
 be pulled from this transitional package.
 .
 3D models are moved over to package kicad-packages3d which is currently only
 suggested due the installation size.
 .
 This is a transitional package. It can be safely removed.

Package: kicad-demos
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 kicad (>= 5.0.0~rc1+dfsg1-1~),
Provides:
 kicad-common,
Breaks:
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Replaces:
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Description: Demo projects for kicad
 The KiCad projects within this package are various typical small use cases
 which can be used for study or also for build own projects on top of these
 existing projects.
 .
 The projects included are on one side easy and simple projects with classical
 through hole mounted components with one or two layers but also rather more
 complex projects based on surface mounted devices (SMD) with multiple layers.

Package: kicad-doc-ca
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Catalan)
 This package provides various documentation files for KiCad in Catalan, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-de
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (German)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-en
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (English)
 This package provides various documentation files for KiCad in English, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-es
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Spanish)
 This package provides various documentation files for KiCad in Spanish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (French)
 This package provides various documentation files for KiCad in French, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-id
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Indonesian)
 This package provides various documentation files for KiCad in Indonesian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-it
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Italian)
 This package provides various documentation files for KiCad in Italian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ja
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Japanese)
 This package provides various documentation files for KiCad in Japanese, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-pl
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Polish)
 This package provides various documentation files for KiCad in Polish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ru
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Russian)
 This package provides various documentation files for KiCad in Russian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-zh
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Kicad help files (Chinese)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-libraries
Architecture: all
Section: metapackages
Multi-Arch: foreign
Depends:
 kicad-footprints,
 kicad-symbols,
 kicad-templates,
 ${misc:Depends},
